Qt Reference Documentation

# UnhandledException Class Reference

(QtConcurrent::UnhandledException)

The UnhandledException class represents an unhandled exception in a worker thread. More...

Inherits: Exception.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Additional Inherited Members

- 2 public functions inherited from QtConcurrent::Exception

## Detailed Description

The UnhandledException class represents an unhandled exception in a worker thread.

If a worker thread throws an exception that is not a subclass of QtConcurrent::Exception, the Qt Concurrent functions will throw a QtConcurrent::UnhandledException on the receiver thread side.

Inheriting from this class is not supported.